import { Decorator } from 'ts-simple-ast';
export interface IAngularComponentInput {
    name: string;
    initialized: boolean;
}
export interface IAngularComponentOutput {
    name: string;
    initialized: boolean;
}
export interface IAngularComponent {
    file: string;
    className: string;
    selector: string;
    inputs: IAngularComponentInput[];
    outputs: IAngularComponentOutput[];
    autoInitializedInputs: IAngularComponentInput[];
    usedCount?: number;
    withBindIOCount?: number;
    withBindInputsCount?: number;
    withBindOutputsCount?: number;
}
export declare function countUsed(source: string, component: IAngularComponent): {
    allCount: number;
    withBindIOCount: number;
    withBindInputsCount: number;
    withBindOutputsCount: number;
};
export declare function parseArguments(dec: Decorator): {
    selector: string;
    arguments: string[];
};
export declare function getAngularComponents(file: string, autoInitialize: boolean): IAngularComponent[];
