"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getBetween(text, prefix, suffix) {
    let local_text = '';
    let results = [];
    return get(text, prefix, suffix);
    function getFromBetween(local_prefix, local_suffix) {
        try {
            let s = local_text;
            let i = s.indexOf(local_prefix);
            if (i >= 0) {
                s = s.substring(i + local_prefix.length);
            }
            else {
                return null;
            }
            if (local_suffix) {
                i = s.indexOf(local_suffix);
                if (i >= 0) {
                    s = s.substring(0, i);
                }
                else {
                    return null;
                }
            }
            return s;
        }
        catch (error) {
            console.error(error);
        }
    }
    function removeFromBetween(prefix, suffix) {
        try {
            const removal = prefix + getFromBetween(prefix, suffix);
            local_text = local_text.replace(removal, '');
        }
        catch (error) {
            console.error(error);
        }
    }
    function getAllResults(prefix, suffix) {
        try {
            const prevString = local_text;
            const result = getFromBetween(prefix, suffix);
            if (result) {
                results.push(result);
            }
            removeFromBetween(prefix, suffix);
            if (prevString !== local_text) {
                getAllResults(prefix, suffix);
            }
            else {
                return;
            }
        }
        catch (error) {
            console.error(error);
        }
    }
    function get(text, local_prefix, local_suffix) {
        try {
            results = [];
            local_text = text;
            getAllResults(local_prefix, local_suffix);
            return results;
        }
        catch (error) {
            console.error(error);
        }
        return [];
    }
}
exports.getBetween = getBetween;
